
Figure - Bug #112160
测试 Test-IT # 110961 (New): V2.0功能测试

测试 Test-IT # 111056 (New): AF-V2.0-Launcher/SystemUI----Setting

【AF】【EVT】【设置】系统-重置选项-恢复出厂设置，点击之后闪退回主页面，系统未恢复出厂设置
2022-09-27 11:27 - CD TEST-方永红

Status: CLOSED Start date: 2022-09-29

Priority: High Due date:

Assignee: CD TEST-方永红 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_V2.0_20220930

Need_Info: -- Found Version: FlatBuild_VX1_MCE_xx.xx_FSE.D.userdebug.0.0.0.20220924.alpha

Resolution: FIXED Degrated: No

Severity: Critical Verified Version:

Reproducibility: Every time Fixed Version: 2022-09-29

Test Type: IT Root cause: Since the setting is divided into two levels of screen display��the sub-screen activity definition is not used, and the theme definition will not be adopted.��So we dynamically loaded the theme

Description

【前提条件】

设备已开机,并且已经进行一些配置修改

【测试步骤】

1、进入设置 系统-重置选项

2、点击恢复出厂设置

【预期结果】

2、系统恢复出厂设置

【实际结果】

2、点击之后闪退回主页面，系统未恢复出厂设置

【复现率】

必现

Subtasks:

Bug # 112288: 【AF】【EVT】【设置】（使用屏幕的情况下）系统-重置选项-恢复出厂设置，页面与屏幕不适配，无... CLOSED

History

#1 - 2022-09-27 11:33 - CD FW-程天颖

- Assignee changed from CD FW-程天颖 to CD AF-陈羽杰

#2 - 2022-09-27 17:57 - CD AF-陈羽杰

- Assignee changed from CD AF-陈羽杰 to CD FW-程天颖

#3 - 2022-09-27 19:59 - CDTS_TEST 王成

- Severity changed from Major to Critical

#4 - 2022-09-28 15:22 - CD FW-程天颖

- Status changed from New to RESOLVED

- Assignee changed from CD FW-程天颖 to CD TEST-方永红

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No
- Fixed Version set to 2022-09-29

- Root cause set to Since the setting is divided into two levels of screen display

the sub-screen activity definition is not used, and the theme definition will not be adopted.

So we dynamically loaded the theme

■ Current conclusion

bug is fixed

■ My analysis

Since the setting is divided into two levels of screen display

the sub-screen activity definition is not used, and the theme definition will not be adopted.

So we dynamically loaded the theme

■ Next action / ■Submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Settings/+/152526

#5 - 2022-09-29 20:22 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

#6 - 2022-09-29 20:22 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

#7 - 2022-12-22 20:37 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

152020 general/platform/packages/apps/Settin

gs

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

wangwei0629@thundersoft.com

FW:Settings: Fix bug for reset app dataFix bug for reset app dataTC-RID: 1201-0201809IssueID: TS-R-BUG-112160Change-Id:

Iaf65003bf4bd435905fd8308deaaddc8f4737745

#8 - 2022-12-22 20:38 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

152526 general/platform/packages/apps/Settin

gs

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

caoqg0702@thundersoft.com

AF:Settings: Fix the problem of factory reset screen crashSince the setting is divided into two levels of screen displaythe sub-screen activity definition is not used,

and the theme definition will not be adopted.So we dynamically loaded the themeTC-RID: 1201-0201809IssueID: TS-R-BUG-112160Change-Id:

I3ef707afa35b5d6f35d9a3c81f35b99528669e7f

Files

sys crash.log 8.25 KB 2022-09-27 CD TEST-方永红
https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Settings/+/152526

